commit: 7c258fc117ad574961bfbc259f1b69c6121058cc
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Sun Dec 27 16:07:02 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Sun Dec 27 16:07:08 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7c258fc1
www-apps/code-server-bin: add gnome-keyring USE flag
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
www-apps/code-server-bin/code-server-bin-3.4.1.ebuild | 8 ++++++++
www-apps/code-server-bin/code-server-bin-3.6.1.ebuild | 8 ++++++++
www-apps/code-server-bin/code-server-bin-3.8.0.ebuild | 8 ++++++++
3 files changed, 24 insertions(+)
diff --git a/www-apps/code-server-bin/code-server-bin-3.4.1.ebuild
b/www-apps/code-server-bin/code-server-bin-3.4.1.ebuild
index 81ec629c..97405ffe 100644
--- a/www-apps/code-server-bin/code-server-bin-3.4.1.ebuild
+++ b/www-apps/code-server-bin/code-server-bin-3.4.1.ebuild
@@ -20,6 +20,7 @@ RESTRICT="test"
LICENSE="MIT"
SLOT="0"
KEYWORDS="-* ~amd64 ~arm64"
+IUSE="gnome-keyring"
# In case we ever make a non-"-binary" pkg
DEPEND="
@@ -29,6 +30,9 @@ RDEPEND="
${DEPEND}
>=net-libs/nodejs-12.16.1:0/12[ssl]
sys-apps/ripgrep
+ gnome-keyring? (
+ app-crypt/libsecret
+ )
"
S="${WORKDIR}/${MY_P}-linux-${ARCH}"
@@ -58,6 +62,10 @@ src_prepare() {
rm postinstall.sh || die
# already in /usr/portage/licenses/MIT
rm LICENSE.txt || die
+
+ if ! use gnome-keyring; then
+ rm -r ./lib/vscode/node_modules/keytar || die
+ fi
}
src_install() {
diff --git a/www-apps/code-server-bin/code-server-bin-3.6.1.ebuild
b/www-apps/code-server-bin/code-server-bin-3.6.1.ebuild
index 81ec629c..97405ffe 100644
--- a/www-apps/code-server-bin/code-server-bin-3.6.1.ebuild
+++ b/www-apps/code-server-bin/code-server-bin-3.6.1.ebuild
@@ -20,6 +20,7 @@ RESTRICT="test"
LICENSE="MIT"
SLOT="0"
KEYWORDS="-* ~amd64 ~arm64"
+IUSE="gnome-keyring"
# In case we ever make a non-"-binary" pkg
DEPEND="
@@ -29,6 +30,9 @@ RDEPEND="
${DEPEND}
>=net-libs/nodejs-12.16.1:0/12[ssl]
sys-apps/ripgrep
+ gnome-keyring? (
+ app-crypt/libsecret
+ )
"
S="${WORKDIR}/${MY_P}-linux-${ARCH}"
@@ -58,6 +62,10 @@ src_prepare() {
rm postinstall.sh || die
# already in /usr/portage/licenses/MIT
rm LICENSE.txt || die
+
+ if ! use gnome-keyring; then
+ rm -r ./lib/vscode/node_modules/keytar || die
+ fi
}
src_install() {
diff --git a/www-apps/code-server-bin/code-server-bin-3.8.0.ebuild
b/www-apps/code-server-bin/code-server-bin-3.8.0.ebuild
index 81ec629c..97405ffe 100644
--- a/www-apps/code-server-bin/code-server-bin-3.8.0.ebuild
+++ b/www-apps/code-server-bin/code-server-bin-3.8.0.ebuild
@@ -20,6 +20,7 @@ RESTRICT="test"
LICENSE="MIT"
SLOT="0"
KEYWORDS="-* ~amd64 ~arm64"
+IUSE="gnome-keyring"
# In case we ever make a non-"-binary" pkg
DEPEND="
@@ -29,6 +30,9 @@ RDEPEND="
${DEPEND}
>=net-libs/nodejs-12.16.1:0/12[ssl]
sys-apps/ripgrep
+ gnome-keyring? (
+ app-crypt/libsecret
+ )
"
S="${WORKDIR}/${MY_P}-linux-${ARCH}"
@@ -58,6 +62,10 @@ src_prepare() {
rm postinstall.sh || die
# already in /usr/portage/licenses/MIT
rm LICENSE.txt || die
+
+ if ! use gnome-keyring; then
+ rm -r ./lib/vscode/node_modules/keytar || die
+ fi
}
src_install() {